Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 796112 - Review Request: rubygem-tidy_ffi - Tidy library interface via FFI
Summary: Review Request: rubygem-tidy_ffi - Tidy library interface via FFI
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-02-22 10:49 UTC by Guillermo Gómez
Modified: 2015-12-04 03:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-04 03:55:08 UTC


Attachments (Terms of Use)

Description Guillermo Gómez 2012-02-22 10:49:27 UTC
Spec URL:http://gomix.fedorapeople.org/rubygem-tidy_ffi/rubygem-tidy_ffi.spec
SRPM URL:http://gomix.fedorapeople.org/rubygem-tidy_ffi/rubygem-tidy_ffi-0.1.4-1.fc16.src.rpm
Description: Tidy library interface via FFI

$ rpmlint -v SPECS/rubygem-tidy_ffi.spec 
SPECS/rubygem-tidy_ffi.spec: I: checking-url http://rubygems.org/gems/tidy_ffi-0.1.4.gem (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint -v /var/lib/mock/fedora-16-x86_64/result/rubygem-tidy_ffi-0.1.4-1.fc16.noarch.rpm 
rubygem-tidy_ffi.noarch: I: checking
rubygem-tidy_ffi.noarch: E: explicit-lib-dependency libtidy  [1] false positive
rubygem-tidy_ffi.noarch: I: checking-url http://github.com/libc/tidy_ffi (timeout 10 seconds)

$ rpmlint -v /var/lib/mock/fedora-16-x86_64/result/rubygem-tidy_ffi-doc-0.1.4-1.fc16.noarch.rpm 
rubygem-tidy_ffi-doc.noarch: I: checking
rubygem-tidy_ffi-doc.noarch: W: spelling-error Summary(en_US) ffi -> ff, ff i
rubygem-tidy_ffi-doc.noarch: W: spelling-error %description -l en_US ffi -> ff, ff i
rubygem-tidy_ffi-doc.noarch: I: checking-url http://github.com/libc/tidy_ffi (timeout 10 seconds)
rubygem-tidy_ffi-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/tidy_ffi-0.1.4/ri/TidyFFI/Tidy/options%3d-i.yaml %3d
rubygem-tidy_ffi-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/tidy_ffi-0.1.4/ri/TidyFFI/Interface/string%3d-i.yaml %3d
rubygem-tidy_ffi-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/tidy_ffi-0.1.4/ri/TidyFFI/Interface/option_valid%3f-c.yaml %3f
rubygem-tidy_ffi-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/tidy_ffi-0.1.4/ri/TidyFFI/Tidy/validate_options%3f-c.yaml %3f
rubygem-tidy_ffi-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/tidy_ffi-0.1.4/ri/TidyFFI/Tidy/default_options%3d-c.yaml %3d
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

rubygem-tidy_ffi.noarch: E: explicit-lib-dependency libtidy  [1] false positive

This rpmlint error is a false positive since the libs its a explicit dependency, its a ruby noarch pkg to open the lib via ffi.

Comment 1 Jason Tibbitts 2013-05-01 15:37:57 UTC
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

Build fails for me; here is a scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5321601

In addition, this almost certainly needs some updating for current ruby guidelines.

Comment 2 James Hogarth 2015-12-04 03:55:08 UTC
As this does not build and the requester had not responded to a needs info in over a year closing the bug as a dead review.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews


Note You need to log in before you can comment on or make changes to this bug.